> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirmar um Relato de Infração

> Use este endpoint para confirmar o recebimento de uma notificação de relato de
infração. Este endpoint é usado pelo participante contraparte para
confirmar que recebeu e está ciente do relato de infração
registrado contra uma transação.


**Notas:**

- O relato deve estar no status OPEN para ser confirmado.

- Esta operação é idempotente.



## OpenAPI

````yaml pt/openapi/v3-current/indirect-pix.yaml POST /v1/dict/infraction-reports/{infraction_id}/acknowledge
openapi: 3.0.3
info:
  title: Plugin BR Pix Indireto - API Completa
  description: |
    API completa para o sistema brasileiro de pagamentos instantâneos Pix,
    incluindo operações de dicionário de chaves Pix, geração/decodificação de
    QR Code, transações e limites de transações.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/infraction-reports/{infraction_id}/acknowledge:
    post:
      tags:
        - MED API
      summary: Confirmar um Relato de Infração
      description: >-
        Use este endpoint para confirmar o recebimento de uma notificação de
        relato de

        infração. Este endpoint é usado pelo participante contraparte para

        confirmar que recebeu e está ciente do relato de infração

        registrado contra uma transação.



        **Notas:**


        - O relato deve estar no status OPEN para ser confirmado.


        - Esta operação é idempotente.
      parameters:
        - $ref: '#/components/parameters/InfractionId'
        - $ref: '#/components/parameters/XAccountId'
      responses:
        '200':
          description: Relato de infração confirmado com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InfractionReportObject'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0200:
                  $ref: '#/components/examples/ErrorPIX0200'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    InfractionId:
      name: infraction_id
      in: path
      description: Identificador único do relatório de infração (formato UUID).
      required: true
      example: 019c96a0-0c98-799e-9135-4613ca469ad8
      schema:
        type: string
    XAccountId:
      name: X-Account-Id
      in: header
      description: Identificador único da Conta do Ledger Midaz (formato UUID).
      required: true
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
  schemas:
    InfractionReportObject:
      type: object
      properties:
        id:
          type: string
          description: Identificador único.
          example: 019c96a0-0c98-799e-9135-4613ca469ad8
        transactionId:
          type: string
          description: Identificador da transação SPI.
          example: E12345678202411241430ABCDEFGHIJK
        status:
          type: string
          description: Status atual.
          enum:
            - OPEN
            - ACKNOWLEDGED
            - CLOSED
            - CANCELLED
          example: OPEN
        reason:
          type: string
          description: Motivo da infração.
          example: REFUND_REQUEST
        reporterParticipant:
          type: string
          description: ISPB do participante reportador.
          example: '12345678'
        counterpartyParticipant:
          type: string
          description: ISPB da contraparte.
          example: '87654321'
        analysisResult:
          type: string
          description: Resultado da análise do BACEN.
          example: AGREED
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
    ErrorFormat:
      type: object
      description: A mensagem de erro da resposta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Um identificador único e estável para o erro.
        title:
          type: string
          description: Um breve resumo do problema.
        message:
          type: string
          description: Orientação detalhada para resolver o erro.
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0200:
      summary: Infraction Report Not Found
      value:
        code: PIX-0200
        title: Infraction Report Not Found
        message: The infraction report was not found.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````